cURL
curl --request GET \
--url https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/historyimport requests
url = "https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"payrollContractId": "<string>",
"year": 123,
"month": 6,
"totalSalary": 123,
"baseSalary": 123,
"values": [
{
"compensationComponentId": "<string>",
"value": 123
}
]
}
]Payroll
Salary History
GET
/
api
/
v1
/
payrollContract
/
{contractId}
/
salaries
/
history
cURL
curl --request GET \
--url https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/historyimport requests
url = "https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-environment.cloud.veda.net/api/v1/payrollContract/{contractId}/salaries/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"payrollContractId": "<string>",
"year": 123,
"month": 6,
"totalSalary": 123,
"baseSalary": 123,
"values": [
{
"compensationComponentId": "<string>",
"value": 123
}
]
}
]Contract ids are used to identify individuals in the payroll system. One person can have multiple payroll contracts, e.g. if they have multiple jobs or roles in the organization.
In the past, payroll contracts were identified using a combination of the company and employee number. Currently, the ids are in the form ‘companyId-employeeNumber’. You can use this information if you already have it, but it may not be stable in the future.
In the past, payroll contracts were identified using a combination of the company and employee number. Currently, the ids are in the form ‘companyId-employeeNumber’. You can use this information if you already have it, but it may not be stable in the future.
Path Parameters
Query Parameters
First month to include, inclusive
Pattern:
^\d{4}-\d{2}$Example:
"2025-01"
Last month to include, inclusive
Pattern:
^\d{4}-\d{2}$Example:
"2025-12"
Response
200 - application/json
OK
Identifier of the payroll contract this salary history entry belongs to
Month of the year, 1 for January, 2 for February, etc.
Required range:
1 <= x <= 12Show child attributes
Show child attributes
Was this page helpful?